Group: Sciences/Mathematics
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-R
# END SourceDeps(oneline)
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%bcond_with check

%global packname fansi
%global packver  1.0.3
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          1.0.3
Release:          alt1_6
Summary:          ANSI Control Sequence Aware String Functions

License:          GPLv2+
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-grDevices, R-utils
# Suggests:  R-unitizer, R-knitr, R-rmarkdown
# LinkingTo:
# Enhances:

BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-base R-tcltk
BuildRequires:    R-base R-tcltk
%if %{with check}
BuildRequires:    R-unitizer
BuildRequires:    R-knitr
BuildRequires:    R-rmarkdown
%endif
Source44: import.info
ExcludeArch: %R_exclude_arches

%description
Counterparts to R string manipulation functions that account for the
effects of ANSI text formatting control sequences.


%prep
%setup -q -c -n %{packname}

# Remove useless executable bits.
find %{packname} -type f -executable -exec chmod -x '{}' \;


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with check}
%{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.0.3-alt1_6
- update to new release by fcimport

* Thu Oct 05 2023 Igor Vlasenko <viy@altlinux.org> 1.0.3-alt1_4
- update

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.0.3-alt1_2
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.5.0-alt1_4
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.5.0-alt1_3
- update to new release by fcimport

* Wed Oct 27 2021 Igor Vlasenko <viy@altlinux.org> 0.5.0-alt1_2
- update

